Bug 1368381 - “zanata pull” downloads *all* .po files, even those which have no translations at all, “zanata-cli pull” downloads only those which have translations.
Summary: “zanata pull” downloads *all* .po files, even those which have no translation...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zanata-python-client
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sundeep Anand
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-19 08:52 UTC by Mike FABIAN
Modified: 2016-10-31 23:46 UTC (History)
9 users (show)

Fixed In Version: zanata-python-client-1.5.1-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-31 23:46:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Mike FABIAN 2016-08-19 08:52:56 UTC
mfabian@ari:/local/mfabian/src/ibus-typing-booster/po (master *$%)
$ zanata-cli pull
zanata-cli pull
[INFO] Loading project config from zanata.xml
[INFO] Loading user config from /home/mfabian/.config/zanata.ini
[INFO] client API version: 3.9.1, server API version: 3.9.1
[INFO] Server: https://fedora.zanata.org/
[INFO] Project: ibus-typing-booster
[INFO] Version: master
[INFO] Username: mfabian
[INFO] Project type: gettext
[INFO] Enable modules: false
[INFO] Using ETag cache: true
[INFO] Purging ETag cache beforehand: false
[INFO] Locales to pull: [sq, ar, as, ast, bal, eu, bn, bn-IN, brx, bs, br, bg, ca, zh-CN, zh-HK, zh-TW, kw, kw-GB, cs, da, nl, en-GB, eo, et, fi, fr, gl, ka, de, el, gu, he, hi, hu, is, id, ia, it, ja, kn, kk, km, ky, ko, lt, nds, mk, mai, ms, ml, mr, mn, ne, nb, nn, or, pa, fa, pl, pt, pt-BR, ro, ru, sr, sr@latin, si, sk, sl, es, sv, tg, ta, te, bo, tr, uk, ur, wba, cy, lv, kw@uccor, kw@kkcor, af, am, be, hr, de-CH, th, vi, zu, ilo, nso, tw, yo, anp, ga, my]
[INFO] Encode tab as \t: true
[INFO] Current directory: /local/mfabian/src/ibus-typing-booster/po
[INFO] Pulling target documents (translations) only
[INFO] Target-language base directory (translations): .
[INFO] Minimum accepted translation percentage (message based): 0%
[INFO] Create skeletons for untranslated messages/files: false
[INFO] Pulling 1 of 1 docs for this module from the server
[?] This will overwrite/delete any existing translations in the above directory.

Are you sure (y/n)?  y
y
[INFO] No translations found in locale sq for document ibus-typing-booster
[INFO] No translations found in locale ar for document ibus-typing-booster
[INFO] No translations found in locale as for document ibus-typing-booster
[INFO] No translations found in locale ast for document ibus-typing-booster
[INFO] No translations found in locale bal for document ibus-typing-booster
[INFO] No translations found in locale eu for document ibus-typing-booster
[INFO] No translations found in locale bn for document ibus-typing-booster
[INFO] No translations found in locale bn-IN for document ibus-typing-booster
[INFO] No translations found in locale brx for document ibus-typing-booster
[INFO] No translations found in locale bs for document ibus-typing-booster
[INFO] No translations found in locale br for document ibus-typing-booster
[INFO] No translations found in locale bg for document ibus-typing-booster
[INFO] No changes in translations for locale ca and document ibus-typing-booster
[INFO] No translations found in locale zh-CN for document ibus-typing-booster
[INFO] No translations found in locale zh-HK for document ibus-typing-booster
[INFO] No translations found in locale zh-TW for document ibus-typing-booster
[INFO] No translations found in locale kw for document ibus-typing-booster
[INFO] No translations found in locale kw-GB for document ibus-typing-booster
[INFO] No translations found in locale cs for document ibus-typing-booster
[INFO] No translations found in locale da for document ibus-typing-booster
[INFO] No translations found in locale nl for document ibus-typing-booster
[INFO] No translations found in locale en-GB for document ibus-typing-booster
[INFO] No translations found in locale eo for document ibus-typing-booster
[INFO] No translations found in locale et for document ibus-typing-booster
[INFO] No translations found in locale fi for document ibus-typing-booster
[INFO] No changes in translations for locale fr and document ibus-typing-booster
[INFO] No translations found in locale gl for document ibus-typing-booster
[INFO] No translations found in locale ka for document ibus-typing-booster
[INFO] No changes in translations for locale de and document ibus-typing-booster
[INFO] No translations found in locale el for document ibus-typing-booster
[INFO] No translations found in locale gu for document ibus-typing-booster
[INFO] No translations found in locale he for document ibus-typing-booster
[INFO] No translations found in locale hi for document ibus-typing-booster
[INFO] No translations found in locale hu for document ibus-typing-booster
[INFO] No translations found in locale is for document ibus-typing-booster
[INFO] No translations found in locale id for document ibus-typing-booster
[INFO] No translations found in locale ia for document ibus-typing-booster
[INFO] No translations found in locale it for document ibus-typing-booster
[INFO] No translations found in locale ja for document ibus-typing-booster
[INFO] No translations found in locale kn for document ibus-typing-booster
[INFO] No translations found in locale kk for document ibus-typing-booster
[INFO] No translations found in locale km for document ibus-typing-booster
[INFO] No translations found in locale ky for document ibus-typing-booster
[INFO] No translations found in locale ko for document ibus-typing-booster
[INFO] No translations found in locale lt for document ibus-typing-booster
[INFO] No translations found in locale nds for document ibus-typing-booster
[INFO] No translations found in locale mk for document ibus-typing-booster
[INFO] No translations found in locale mai for document ibus-typing-booster
[INFO] No translations found in locale ms for document ibus-typing-booster
[INFO] No translations found in locale ml for document ibus-typing-booster
[INFO] No translations found in locale mr for document ibus-typing-booster
[INFO] No translations found in locale mn for document ibus-typing-booster
[INFO] No translations found in locale ne for document ibus-typing-booster
[INFO] No translations found in locale nb for document ibus-typing-booster
[INFO] No translations found in locale nn for document ibus-typing-booster
[INFO] No translations found in locale or for document ibus-typing-booster
[INFO] No translations found in locale pa for document ibus-typing-booster
[INFO] No translations found in locale fa for document ibus-typing-booster
[INFO] No translations found in locale pl for document ibus-typing-booster
[INFO] No translations found in locale pt for document ibus-typing-booster
[INFO] No translations found in locale pt-BR for document ibus-typing-booster
[INFO] No translations found in locale ro for document ibus-typing-booster
[INFO] No translations found in locale ru for document ibus-typing-booster
[INFO] No translations found in locale sr for document ibus-typing-booster
[INFO] No translations found in locale sr@latin for document ibus-typing-booster
[INFO] No translations found in locale si for document ibus-typing-booster
[INFO] No translations found in locale sk for document ibus-typing-booster
[INFO] No translations found in locale sl for document ibus-typing-booster
[INFO] No translations found in locale es for document ibus-typing-booster
[INFO] No translations found in locale sv for document ibus-typing-booster
[INFO] No translations found in locale tg for document ibus-typing-booster
[INFO] No translations found in locale ta for document ibus-typing-booster
[INFO] No translations found in locale te for document ibus-typing-booster
[INFO] No translations found in locale bo for document ibus-typing-booster
[INFO] No translations found in locale tr for document ibus-typing-booster
[INFO] No translations found in locale uk for document ibus-typing-booster
[INFO] No translations found in locale ur for document ibus-typing-booster
[INFO] No translations found in locale wba for document ibus-typing-booster
[INFO] No translations found in locale cy for document ibus-typing-booster
[INFO] No translations found in locale lv for document ibus-typing-booster
[INFO] No translations found in locale kw@uccor for document ibus-typing-booster
[INFO] No translations found in locale kw@kkcor for document ibus-typing-booster
[INFO] No translations found in locale af for document ibus-typing-booster
[INFO] No translations found in locale am for document ibus-typing-booster
[INFO] No translations found in locale be for document ibus-typing-booster
[INFO] No translations found in locale hr for document ibus-typing-booster
[INFO] No translations found in locale de-CH for document ibus-typing-booster
[INFO] No translations found in locale th for document ibus-typing-booster
[INFO] No translations found in locale vi for document ibus-typing-booster
[INFO] No translations found in locale zu for document ibus-typing-booster
[INFO] No translations found in locale ilo for document ibus-typing-booster
[INFO] No translations found in locale nso for document ibus-typing-booster
[INFO] No translations found in locale tw for document ibus-typing-booster
[INFO] No translations found in locale yo for document ibus-typing-booster
[INFO] No translations found in locale anp for document ibus-typing-booster
[INFO] No translations found in locale ga for document ibus-typing-booster
[INFO] No translations found in locale my for document ibus-typing-booster
mfabian@ari:/local/mfabian/src/ibus-typing-booster/po (master *$%)
$

I.e.  with “zanata-cli pull” I get:

[INFO] No changes in translations for locale fr and document ibus-typing-booster

for files where translations exist and

[INFO] No translations found in locale my for document ibus-typing-booster

where they don’t. The files where no translations exist are not downloaded.

But with “zanata pull” I get:

]

mfabian@ari:/local/mfabian/src/ibus-typing-booster/po (master *$%)
$ zanata pull
zanata pull
[INFO] Loading zanata project config from: /local/mfabian/src/ibus-typing-booster/po/zanata.xml
[INFO] Loading zanata user config from: /home/mfabian/.config/zanata.ini
[INFO] zanata server: https://fedora.zanata.org
[INFO] zanata python client version: 1.5.0, zanata server API version: 3.9.1
[INFO] Project: ibus-typing-booster
[INFO] Version: master
[INFO] Project Type: gettext
[INFO] Username: mfabian
[INFO] Source language: en-US
[INFO] Fetching the content of ibus-typing-booster from Zanata server
[INFO] Retrieving gu translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/gu.po
[INFO] Retrieving zh-TW translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/zh_TW.po
[INFO] Retrieving brx translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/brx.po
[INFO] Retrieving ca translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/ca.po
[INFO] Retrieving kw@uccor translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/kw@uccor.po
[INFO] Retrieving cy translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/cy.po
[INFO] Retrieving ga translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/ga.po
[INFO] Retrieving cs translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/cs.po
[INFO] Retrieving gl translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/gl.po
[INFO] Retrieving en-GB translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/en_GB.po
[INFO] Retrieving pt translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/pt.po
[INFO] Retrieving tw translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/tw.po
[INFO] Retrieving nso translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/nso.po
[INFO] Retrieving tr translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/tr.po
[INFO] Retrieving de-CH translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/de_CH.po
[INFO] Retrieving ja translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/ja.po
[INFO] Retrieving lv translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/lv.po
[INFO] Retrieving lt translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/lt.po
[INFO] Retrieving pa translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/pa.po
[INFO] Retrieving th translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/th.po
[INFO] Retrieving tg translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/tg.po
[INFO] Retrieving te translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/te.po
[INFO] Retrieving ia translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/ia.po
[INFO] Retrieving pl translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/pl.po
[INFO] Retrieving ta translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/ta.po
[INFO] Retrieving yo translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/yo.po
[INFO] Retrieving hr translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/hr.po
[INFO] Retrieving bn-IN translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/bn_IN.po
[INFO] Retrieving de translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/de.po
[INFO] Retrieving hu translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/hu.po
[INFO] Retrieving hi translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/hi.po
[INFO] Retrieving pt-BR translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/pt_BR.po
[INFO] Retrieving he translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/he.po
[INFO] Retrieving ml translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/ml.po
[INFO] Retrieving wba translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/wba.po
[INFO] Retrieving mk translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/mk.po
[INFO] Retrieving ur translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/ur.po
[INFO] Retrieving zh-CN translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/zh_CN.po
[INFO] Retrieving uk translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/uk.po
[INFO] Retrieving mr translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/mr.po
[INFO] Retrieving kw-GB translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/kw_GB.po
[INFO] Retrieving bal translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/bal.po
[INFO] Retrieving ilo translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/ilo.po
[INFO] Retrieving my translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/my.po
[INFO] Retrieving el translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/el.po
[INFO] Retrieving eo translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/eo.po
[INFO] Retrieving mn translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/mn.po
[INFO] Retrieving af translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/af.po
[INFO] Retrieving vi translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/vi.po
[INFO] Retrieving is translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/is.po
[INFO] Retrieving am translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/am.po
[INFO] Retrieving it translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/it.po
[INFO] Retrieving kn translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/kn.po
[INFO] Retrieving zh-HK translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/zh_HK.po
[INFO] Retrieving as translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/as.po
[INFO] Retrieving ar translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/ar.po
[INFO] Retrieving kw@kkcor translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/kw@kkcor.po
[INFO] Retrieving zu translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/zu.po
[INFO] Retrieving eu translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/eu.po
[INFO] Retrieving et translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/et.po
[INFO] Retrieving id translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/id.po
[INFO] Retrieving es translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/es.po
[INFO] Retrieving ru translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/ru.po
[INFO] Retrieving nl translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/nl.po
[INFO] Retrieving nn translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/nn.po
[INFO] Retrieving nb translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/nb.po
[INFO] Retrieving ne translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/ne.po
[INFO] Retrieving anp translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/anp.po
[INFO] Retrieving ro translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/ro.po
[INFO] Retrieving be translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/be.po
[INFO] Retrieving fr translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/fr.po
[INFO] Retrieving bg translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/bg.po
[INFO] Retrieving ms translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/ms.po
[INFO] Retrieving ast translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/ast.po
[INFO] Retrieving bn translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/bn.po
[INFO] Retrieving bo translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/bo.po
[INFO] Retrieving sr@latin translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/sr@latin.po
[INFO] Retrieving fa translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/fa.po
[INFO] Retrieving br translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/br.po
[INFO] Retrieving bs translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/bs.po
[INFO] Retrieving mai translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/mai.po
[INFO] Retrieving fi translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/fi.po
[INFO] Retrieving da translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/da.po
[INFO] Retrieving nds translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/nds.po
[INFO] Retrieving ka translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/ka.po
[INFO] Retrieving kk translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/kk.po
[INFO] Retrieving sr translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/sr.po
[INFO] Retrieving sq translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/sq.po
[INFO] Retrieving ko translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/ko.po
[INFO] Retrieving sv translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/sv.po
[INFO] Retrieving km translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/km.po
[INFO] Retrieving sk translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/sk.po
[INFO] Retrieving si translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/si.po
[INFO] Retrieving kw translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/kw.po
[INFO] Retrieving sl translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/sl.po
[INFO] Retrieving ky translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/ky.po
[INFO] Retrieving or translation from server: 
[INFO] Writing po file to /local/mfabian/src/ibus-typing-booster/po/or.po
mfabian@ari:/local/mfabian/src/ibus-typing-booster/po (master *$%)
$

I.e. it downloads all .po files, even those which have no translations at all.

Comment 3 Fedora Update System 2016-10-26 20:32:03 UTC
zanata-python-client-1.5.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-adb89b2076

Comment 4 Fedora Update System 2016-10-31 23:46:18 UTC
zanata-python-client-1.5.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.